export declare class Viewer {
    private element;
    canvasWidth: number;
    url: string;
    currentPage: number;
    totalPages: number;
    error: any;
    private loadingTask;
    constructor();
    setActivePage(event: CustomEvent): void;
    renderPage(): void;
    componentDidLoad(): void;
    componentWillUpdate(): void;
    render(): any;
}
